import { createTheme } from "@mui/material/styles";

export const COLORS = {
  primary: "#7f6b58",
  secondary: "#48989f",
};

const theme = {
  palette: {
    primary: {
      main: COLORS.primary,
    },
    secondary: {
      main: COLORS.secondary,
    },
  },
  components: {
    MuiAppBar: {
      styleOverrides: {
        root: {
          backgroundColor: COLORS.secondary,
        },
      },
    },
  },
};

export const CustomTheme = {
  Light: createTheme({
    palette: {
      ...theme.palette,
    },
    components: {
      ...theme.components,
    },
  }),
  Dark: createTheme({
    palette: {
      ...theme.palette,
    },
    components: {
      ...theme.components,
    },
  }),
};
