import { Button } from "@mui/material";

export const DeleteModal = ({
  onDelete,
  onCancel,
  open,
}: {
  onDelete: () => void;
  onCancel: () => void;
  open: boolean;
}) => {
  return (
    <div
      className={`fixed  top-0 left-0 w-screen h-screen  flex justify-center items-center z-10000 bg-black/30 transition-all duration-300 ${
        open ? "block" : "hidden"
      }`}
    >
      <div className="bg-white p-4 w-100 rounded-lg flex flex-col gap-4 items-center">
        <p className="text-black w-100 text-center">
          Вы уверены, что хотите удалить этот элемент?
        </p>
        <div className="flex gap-4 justify-center">
          <Button variant="contained" color="error" onClick={onDelete}>
            Да
          </Button>
          <Button variant="outlined" onClick={onCancel}>
            Нет
          </Button>
        </div>
      </div>
    </div>
  );
};
